*! version 4.0
* 18 May 2016
* NIDS
* Master expenditure do file for Nids Wave 3

* THIS IS THE MASTER EXPENDITURE DO FILE: 1 OF 6
* THESE 6 DO FILES CREATE THE NIDS WAVE 2 EXPENDITURE VARIABLES FOR PUBLIC RELEASE THAT ARE
* TO BE FOUND IN THE INDIVIDUAL AND HOUSEHOLD DERIVED DATASETS.

*=====================================================================================================================================
* GLOBALS FOR DATA FILES, DO FILES AND VERSION SUFFIXES

global DataIN "C:\Users\Admin\Desktop\Data" //File path to where data is located. Change this path according to where your data folder in located on your computer.
global DataOUT "C:\Users\Admin\Desktop\Data\Wave 3\Output"

global DoFilePath "C:\Users\Admin\Desktop\Data\dofiles\Wave 3 Expenditure"  // file path to other expenditure do files

global VersionIN "W3_Anon_V2.0"
global VersionOUT "Exp"

*=====================================================================================================================================
* SETTING UP STATA TO RUN DO FILES

clear
cap clear matrix
set more off 

version 12.1

*-------------------------------------------------------------------------------------------------------------------------------------

*MERGING THE REQUIRED DATASETS: DO FILE 2 OF 6
do "$DoFilePath\Program 8.1 - Expenditure - Merging datasets to create expenditure variables (2 of 6).do"

*PREPARING THE RELEVANT VARIABLES FOR IMPUTATION: DO FILE 3 OF 6
do "$DoFilePath\Program 8.2 - Expenditure - Preparing variables for imputation (3 of 6).do"

*PERFORMING THE IMPUTATIONS: DO FILE 4 OF 6
do "$DoFilePath\Program 8.3 - Expenditure - Performing Imputations on Expenditure variables (4 of 6).do"

*AGGREGATING THE POST-IMPUTED VALUES: DO FILE 5 OF 6
do "$DoFilePath\Program 8.4 - Expenditure - Aggregation of imputation variables (5 of 6).do"

*PREPARING THE DATA FOR PUBLIC RELEASE: DO FILE 6 OF 6
do "$DoFilePath\Program 8.5 - Expenditure - Variables for public release (6 of 6).do"

* end of master do file
*=====================================================================================================================================
*check
***
