*! version 4.0
* 18 May 2016
* NIDS
* Master Expenditure do file for Nids Wave 3

* THIS IS 6th EXPENDITURE DO FILE - RELEASE DO FILE: 6 OF 6
* THIS DO FILE PRODUCES THE VARIABLES AS THEY APPEAR IN THE PUBLIC RELEASE

*=====================================================================================================================================
* GLOBALS FOR DATA FILES, DO FILES AND VERSION SUFFIXES

* DEFINED IN "Master Expenditure do file (1 of 6)"

version 12.1

*=====================================================================================================================================

* OPENING DATASET CREATED IN DO FILE "Expenditure - Aggregation of post-imputation variables (5 of 6)"

use "$DataOUT\hhexp.dta", clear

lab var expf "Monthly food expenditure with imputations"
lab var expnf "Monthly non-food expenditure with imputations"
lab var rentexpend "Monthly rental expenditure with imputations"
lab var rentexpend_flg "Rental expenditure data source"
lab var expenditure "Total household monthly expenditure with imputations"

foreach var of varlist expf-expenditure {
rename `var' w3_`var'
}

compress

save "$DataOUT\hhderived_EXPENDITURE.dta", replace

erase "$DataOUT\data.dta"
erase "$DataOUT\hhexp.dta"
erase "$DataOUT\imputed.dta"
erase "$DataOUT\prep.dta"

* end of do file
*==================================================================================================================================================
*check
